- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CParamDisplay Class Reference

a parameter display control More...

`#include <vstcontrols.h>`

Inheritance diagram for CParamDisplay:

List of all members.

## Public Member Functions
| CParamDisplay (const CRect &size, CBitmap *background=0, const long style=0)
virtual | ~CParamDisplay ()
virtual void | setFont (CFont fontID)
CFont | getFont () const
virtual void | setFontColor (CColor color)
CColor | getFontColor () const
virtual void | setBackColor (CColor color)
CColor | getBackColor () const
virtual void | setFrameColor (CColor color)
CColor | getFrameColor () const
virtual void | setShadowColor (CColor color)
CColor | getShadowColor () const
virtual void | setHoriAlign (CHoriTxtAlign hAlign)
virtual void | setStringConvert (void(*convert)(float value, char *string))
virtual void | setStringConvert (void(*convert)(float value, char *string, void *userDta), void *userData)
virtual void | setString2FloatConvert (void(*convert)(char *string, float &output))
virtual void | setStyle (long val)
long | getStyle () const
virtual void | setTxtFace (CTxtFace val)
CTxtFace | getTxtFace () const
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
virtual void | setTextTransparency (bool val)
bool | getTextTransparency () const
## Protected Member Functions
void | drawText (CDrawContext *pContext, char *string, CBitmap *newBack=0)
## Protected Attributes
void(* | stringConvert )(float value, char *string)
void(* | stringConvert2 )(float value, char *string, void *userData)
void(* | string2FloatConvert )(char *string, float &output)
void * | userData
CHoriTxtAlign | horiTxtAlign
long | style
CFont | fontID
CTxtFace | txtFace
CColor | fontColor
CColor | backColor
CColor | frameColor
CColor | shadowColor
bool | bTextTransparencyEnabled

## Detailed Description

a parameter display control

Define a rectangle view where a text-value can be displayed with a given font and color. The user can specify its convert function (from float to char) by default the string format is "%2.2f". The text-value is centered in the given rect.

## Constructor & Destructor Documentation

CParamDisplay::CParamDisplay | ( | const CRect & | size,
|  | CBitmap * | background = `0`,
|  | const long | style = `0`
| ) |

CParamDisplay::~CParamDisplay | ( |  | ) | `[virtual]`

## Member Function Documentation

void CParamDisplay::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Implements CControl. Reimplemented in CTextLabel, CTextEdit, and COptionMenu.

void CParamDisplay::drawText | ( | CDrawContext * | pContext,
|  | char * | string,
|  | CBitmap * | newBack = `0`
| ) | `[protected]`

CColor CParamDisplay::getBackColor | ( |  | ) | const`[inline]`

CFont CParamDisplay::getFont | ( |  | ) | const`[inline]`

CColor CParamDisplay::getFontColor | ( |  | ) | const`[inline]`

CColor CParamDisplay::getFrameColor | ( |  | ) | const`[inline]`

CColor CParamDisplay::getShadowColor | ( |  | ) | const`[inline]`

long CParamDisplay::getStyle | ( |  | ) | const`[inline]`

bool CParamDisplay::getTextTransparency | ( |  | ) | const`[inline]`

CTxtFace CParamDisplay::getTxtFace | ( |  | ) | const`[inline]`

void CParamDisplay::setBackColor | ( | CColor | color | ) | `[virtual]`

void CParamDisplay::setFont | ( | CFont | fontID | ) | `[virtual]`

void CParamDisplay::setFontColor | ( | CColor | color | ) | `[virtual]`

void CParamDisplay::setFrameColor | ( | CColor | color | ) | `[virtual]`

void CParamDisplay::setHoriAlign | ( | CHoriTxtAlign | hAlign | ) | `[virtual]`

void CParamDisplay::setShadowColor | ( | CColor | color | ) | `[virtual]`

void CParamDisplay::setString2FloatConvert | ( | void(*)(char *string, float &output) | convert | ) | `[virtual]`

void CParamDisplay::setStringConvert | ( | void(*)(float value, char *string, void *userDta) | convert,
|  | void * | userData
| ) | `[virtual]`

void CParamDisplay::setStringConvert | ( | void(*)(float value, char *string) | convert | ) | `[virtual]`

void CParamDisplay::setStyle | ( | long | val | ) | `[virtual]`

virtual void CParamDisplay::setTextTransparency | ( | bool | val | ) | `[inline, virtual]`

void CParamDisplay::setTxtFace | ( | CTxtFace | val | ) | `[virtual]`

## Member Data Documentation

CColor CParamDisplay::backColor`[protected]`

bool CParamDisplay::bTextTransparencyEnabled`[protected]`

CColor CParamDisplay::fontColor`[protected]`

CFont CParamDisplay::fontID`[protected]`

CColor CParamDisplay::frameColor`[protected]`

CHoriTxtAlign CParamDisplay::horiTxtAlign`[protected]`

CColor CParamDisplay::shadowColor`[protected]`

void(* CParamDisplay::string2FloatConvert)(char *string, float &output)`[protected]`

void(* CParamDisplay::stringConvert)(float value, char *string)`[protected]`

void(* CParamDisplay::stringConvert2)(float value, char *string, void *userData)`[protected]`

long CParamDisplay::style`[protected]`

CTxtFace CParamDisplay::txtFace`[protected]`

void* CParamDisplay::userData`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.